#ifdef STATISTICS
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/RegisterFile/include/Statistics.h"

#include <sstream>
using namespace std;

namespace morpheo                    {
namespace behavioural                {
namespace generic                    {
namespace registerfile               {

  string Statistics::print_body (uint32_t depth)
  {
    string        tab = string(depth,'\t');
    ostringstream msg;

    msg << _stat_port_read ->print(depth+1);
    msg << _stat_port_write->print(depth+1);
    
    return msg.str();
  };
}; // end namespace registerfile
}; // end namespace generic
}; // end namespace behavioural          
}; // end namespace morpheo              
#endif
